ECHO OFF
CLS
IF "%1"=="" GOTO INST
IF NOT EXIST TK430-A.HEX GOTO ERROR1
echo.
ECHO TK-430/TK-431 Operating Software Update
echo.
echo.
ECHO Prepare KPG-8 and the transceiver to be updated as follows:
echo.
ECHO 1.  Connect the KPG-8, Programming Interface Cable, to the Computer
ECHO     the same way as you would for transceiver programming.  
echo.
ECHO 2.  Connect the KPG-8 to the transceiver.
echo.
ECHO 3.  Press and hold "SYS" key while turning the transceiver on.
ECHO     Hold the "SYS" key for 2 seconds.
echo.
ECHO 4.  Release the key.  The display indicates blinking "PROG".
echo.
ECHO 5.  Press "S".  A dot on lower left corner appears in the display.
echo.
ECHO Ready to perform the radio software update.
PAUSE
CLS
echo.
ECHO Setting up the COM Port.
MODE COM%1: 9600,N,8,2
echo.
ECHO Beginning DATA transfer...
ECHO This will take approximately 3 minutes.
COPY TK430-A.HEX COM%1
:END0
CLS
echo.
ECHO Update Complete.
ECHO Confirm the LCD displays "7763" and the TX LED is ON.
ECHO 
ECHO Turn off the transceiver and disconnect KPG-8 from the transceiver.
GOTO END
:INST
CLS
echo.
ECHO COM Port must be specified by typing 1 or 2 as
ECHO PROGRAM 1 or PROGRAM 2.
ECHO   
GOTO END
:ERROR1
CLS
echo.
ECHO DATA file not found.
ECHO   
:END

